<?php
namespace Teknisa\CRM\Controller;

use Teknisa\CRM\Controller\TeknisaCrud;
use Zeedhi\Framework\DTO;

class crm00001005SituacaoController extends TeknisaCrud {
    protected $dataSourceName = 'crm_situacao';
    protected $primaryKey = 'NRSEQSITUACAO';
    //protected $CDCONTADOR = 'NRSEQSITUACAO';

	public function save(DTO\Request $request, DTO\Response $response)
    {
        foreach($request->getDataSet()->getRows() as $row)
        {
            if($row["__is_new"])
            {
	    		$row['__new_code_pk'] = "CRM_SITUACAO";
	            $row['__table_pk'] = "NRSEQSITUACAO";
	            $row['__cast_number'] = true;
	            $row['__new_code_length'] = 20;
            }
        }

        try
        {
            parent::save($request, $response);
        }catch(\Exception $e)
        {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }
}